Package org.eclipse.microprofile.rest.client.spi

# Class SimpleRestClientBuilderResolver

java.lang.Object
org.eclipse.microprofile.rest.client.spi.RestClientBuilderResolver
org.eclipse.microprofile.rest.client.spi.SimpleRestClientBuilderResolver

public class SimpleRestClientBuilderResolver extends org.eclipse.microprofile.rest.client.spi.RestClientBuilderResolver
A resolver that should be picked in tests by default

Author:
  Ondrej Mihalyi, John D. Ament

## Constructor Summary

Constructors
Constructor
Description
`SimpleRestClientBuilderResolver()`

## Method Summary

Modifier and Type
Method
Description
`org.eclipse.microprofile.rest.client.RestClientBuilder`
`newBuilder()`

### Methods inherited from class org.eclipse.microprofile.rest.client.spi.RestClientBuilderResolver

`instance, setInstance`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SimpleRestClientBuilderResolver

public SimpleRestClientBuilderResolver()

## Method Details

### newBuilder

public org.eclipse.microprofile.rest.client.RestClientBuilder newBuilder()

Specified by:
  `newBuilder` in class `org.eclipse.microprofile.rest.client.spi.RestClientBuilderResolver`